## org.apache.maven.shared.repository
Class RepositoryAssemblyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.maven.shared.repository.RepositoryAssemblyException

All Implemented Interfaces:
  java.io.Serializable

    public class RepositoryAssemblyException

extends java.lang.Exception

Author:
  Jason van Zyl
See Also:
  Serialized Form

Constructor Summary
`RepositoryAssemblyException(java.lang.String string)`
`RepositoryAssemblyException(java.lang.String string, java.lang.Throwable throwable)`
`RepositoryAssemblyException(java.lang.Throwable throwable)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryAssemblyException

    public RepositoryAssemblyException(java.lang.String string)

### RepositoryAssemblyException

    public RepositoryAssemblyException(java.lang.String string,
                                       java.lang.Throwable throwable)

### RepositoryAssemblyException

    public RepositoryAssemblyException(java.lang.Throwable throwable)

Copyright © 2011. All Rights Reserved.